Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(103)

Unified Diff: packages/cli_util/tool/travis.sh

Issue 1400473008: Roll Observatory packages and add a roll script (Closed) Base URL: git@github.com:dart-lang/observatory_pub_packages.git@master
Patch Set: Created 5 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « packages/cli_util/test/cli_util_test.dart ('k') | packages/code_transformers/.gitignore » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: packages/cli_util/tool/travis.sh
diff --git a/packages/cli_util/tool/travis.sh b/packages/cli_util/tool/travis.sh
new file mode 100755
index 0000000000000000000000000000000000000000..e8e10b79502a7dd4f5842b8923fa508c73d3a196
--- /dev/null
+++ b/packages/cli_util/tool/travis.sh
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+# Copyright (c) 2015, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+
+# Fast fail the script on failures.
+set -e
+
+# Verify that the libraries are error free.
+dartanalyzer --fatal-warnings \
+ lib/cli_util.dart \
+ test/cli_util_test.dart
+
+# Run the tests.
+dart test/cli_util_test.dart
+
+# Install dart_coveralls; gather and send coverage data.
+if [ "$COVERALLS_TOKEN" ]; then
+ pub global activate dart_coveralls
+ pub global run dart_coveralls report \
+ --token $COVERALLS_TOKEN \
+ --retry 2 \
+ --exclude-test-files \
+ test/cli_util_test.dart
+fi
« no previous file with comments | « packages/cli_util/test/cli_util_test.dart ('k') | packages/code_transformers/.gitignore » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698